package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.Date;

public class HfMember {
    @ApiModelProperty(value = "id",required = true)
    private Integer Id;

    @ApiModelProperty(value = "商户号",required = true)
    private String memberId;

    @ApiModelProperty(value = "公司名称",required = true)
    private String name;

    @ApiModelProperty(value = "省份编号(https://cdn.cloudpnr.com/adapayresource/documents/Adapay%E7%9C%81%E5%B8%82%E7%BC%96%E7%A0%81%EF%BC%88%E5%9B%9B%E4%BD%8D%EF%BC%89.json)",required = true)
    private String provCode;

    @ApiModelProperty(value = "城市编号",required = true)
    private String areaCode;

    @ApiModelProperty(value = "统一社会信用码",required = true)
    private String socialCreditCode;

    @ApiModelProperty(value = "统一社会信用码有效期",required = true)
    private String socialCreditCodeExpires;

    @ApiModelProperty(value = "经营范围",required = true)
    private String businessScope;

    @ApiModelProperty(value = "法人",required = true)
    private String legalPerson;

    @ApiModelProperty(value = "法人身份证号",required = true)
    private String legalCertId;

    @ApiModelProperty(value = "身份证有效期",required = true)
    private String legalCertIdExpires;

    @ApiModelProperty(value = "法人手机号",required = true)
    private String legalMp;

    @ApiModelProperty(value = "公司地址",required = true)
    private String address;

    @ApiModelProperty(value = "邮编",required = true)
    private String zipCode;

    @ApiModelProperty(value = "银行卡号",required = true)
    private String cardNo;

    @ApiModelProperty(value = "银行编码(https://docs.adapay.tech/api/appendix.html#bank-code)",required = true)
    private String bankCode;

    @ApiModelProperty(value = "证照文件",required = true)
    private MultipartFile multipartFile;

    @ApiModelProperty(value = "状态（pending:处理中，succeeded：成功，failed：失败）",required = true)
    private String status;

    @ApiModelProperty(value = "创建时间",required = true)
    private Date createTime;

    @ApiModelProperty(value = "更新时间",required = true)
    private Date updateTime;

    private String settleAccountId;

    @ApiModelProperty(value = "备注",required = true)
    private String memo;

    @ApiModelProperty(value = "每月最大收款金额",required = true)
    private BigDecimal monthMaxReceipt;

    @ApiModelProperty(value = "满额后收款账户",required = true)
    private String routeMemberId;

    @ApiModelProperty(value = "满额后收款分部",required = true)
    private Integer routeOrganId;

    public Integer getId() {
        return Id;
    }

    public void setId(Integer id) {
        Id = id;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProvCode() {
        return provCode;
    }

    public void setProvCode(String provCode) {
        this.provCode = provCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCodeExpires() {
        return socialCreditCodeExpires;
    }

    public void setSocialCreditCodeExpires(String socialCreditCodeExpires) {
        this.socialCreditCodeExpires = socialCreditCodeExpires;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getLegalCertId() {
        return legalCertId;
    }

    public void setLegalCertId(String legalCertId) {
        this.legalCertId = legalCertId;
    }

    public String getLegalCertIdExpires() {
        return legalCertIdExpires;
    }

    public void setLegalCertIdExpires(String legalCertIdExpires) {
        this.legalCertIdExpires = legalCertIdExpires;
    }

    public String getLegalMp() {
        return legalMp;
    }

    public void setLegalMp(String legalMp) {
        this.legalMp = legalMp;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getZipCode() {
        return zipCode;
    }

    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public MultipartFile getMultipartFile() {
        return multipartFile;
    }

    public void setMultipartFile(MultipartFile multipartFile) {
        this.multipartFile = multipartFile;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getSettleAccountId() {
        return settleAccountId;
    }

    public void setSettleAccountId(String settleAccountId) {
        this.settleAccountId = settleAccountId;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public BigDecimal getMonthMaxReceipt() {
        return monthMaxReceipt;
    }

    public void setMonthMaxReceipt(BigDecimal monthMaxReceipt) {
        this.monthMaxReceipt = monthMaxReceipt;
    }

    public String getRouteMemberId() {
        return routeMemberId;
    }

    public void setRouteMemberId(String routeMemberId) {
        this.routeMemberId = routeMemberId;
    }

    public Integer getRouteOrganId() {
        return routeOrganId;
    }

    public void setRouteOrganId(Integer routeOrganId) {
        this.routeOrganId = routeOrganId;
    }
}
